Name:           fluid
Summary:        Library for fluid and dynamic applications development with QtQuick
Version:        0.2.0
Release:        1%{?dist}
Group:          Applications/System
License:        LGPLv2+
URL:            https://github.com/hawaii-desktop/fluid
Source0:        http://downloads.sourceforge.net/mauios/%{name}-%{version}.tar.gz

Requires:       qt5-qtquickcontrols
Requires:       qt5-qtdeclarative
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  cmake

%description
Library for fluid and dynamic applications development with QtQuick.


%prep
%setup -q


%build
%cmake .
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

# Swordfish and Hawaii Shell use these.
# Shell sets a search path in launcher, but Swordfish does not.
install -d %{buildroot}%{_qt5_prefix}/qml
ln -sf ../../hawaii/qml/Fluid{Ui,Extra} %{buildroot}%{_qt5_prefix}/qml


%files
%dir %{_libdir}/hawaii
%dir %{_libdir}/hawaii/qml
%{_libdir}/hawaii/qml/FluidExtra
%{_libdir}/hawaii/qml/FluidUi
%{_qt5_prefix}/qml/*
%doc COPYING.LGPL
%doc README.md


%changelog
* Sat Jan 04 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.0-1
- Update to a new release tarball

* Mon Oct 28 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.90-2.20130723git6d6e0cd
- Drop useless ldconfig (Eduardo Echeverria, #1019435)
- Drop old RPM artifacts (Eduardo Echeverria, #1019435)

* Mon Sep 16 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.90-1.20130723git6d6e0cd
- Initial packaging
